﻿$packageName= 'dspeech'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://dimiodati.altervista.org/zip/dspeech.zip'
$checksum      = 'B7847B08F97A8ECFE140742D575EB090BD8D9A9890E79B5682D52E1AC0D1748C'
$checksumType  = 'sha256'
$fileName = "DSpeech/DSpeech.exe"
$linkName = "DSpeech.lnk"

Install-ChocolateyZipPackage $packageName $url $toolsDir -checksum $checksum -checksumType $checksumType
 
#install start menu shortcut
$programs = [environment]::GetFolderPath([environment+specialfolder]::Programs)
$shortcutFilePath = Join-Path $programs $linkName
$targetPath = Join-Path $toolsDir $fileName
Install-ChocolateyShortcut -shortcutFilePath $shortcutFilePath -targetPath $targetPath